mc (3:4.8.24-1vnz1) unstable; urgency=medium

  * New upstream patch to fix browsing of .DEB packages (Closes: #949700).
  * Set dark as default coloset
  * improved the behaviour for console usage

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sun, 26 Jan 2020 08:23:52 -0400

mc (3:4.8.24-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 Jan 2020 11:43:23 +1100

mc (3:4.8.23-1) unstable; urgency=medium

  * New upstream release.
    + fixed "Failed gpm connect attempt ... for vc /dev/tty0"
      (Closes: #743566).
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.
  * Removed source compression options.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Aug 2019 12:10:00 +1000

mc (3:4.8.22-1) unstable; urgency=medium

  * New upstream release.
  * Suggests += "epub-utils".
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Jan 2019 00:10:34 +1100

mc (3:4.8.21-1) unstable; urgency=medium

  * New upstream release [June 2018].
    + added .tar.zst / .tzst support (Closes: #893389).
  * Set myself as Maintainer (Closes: #899775).
  * Updated Vcs URLs to Salsa.
  * Removed needless dependency versioning.
  * Standards-Version: 4.1.4.
  * rules: removed "--parallel" which is implied on DH/compat v11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Jun 2018 14:34:10 +1000

mc (3:4.8.20-1) unstable; urgency=medium

  * New upstream release.
    + fixed random crash at startup (Closes: #870728).
  * rules: removed call to dpkg-parsechangelog.
  * Debhelper & compat to version 11.
  * Standards-Version: 4.1.3.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Mar 2018 16:40:01 +1100

mc (3:4.8.19-1) unstable; urgency=low

  * new upstream release
    + Closes: #866019 (crash On SFTP Upload).
    + Closes: #808303 (filtered view does not work).
    + Closes: #825974 (subshell no longer sees correct terminal size).

  * remove merged patches:
    + uzip_528239.patch

  * update patches: (use gboolean instead of int)
    + disable_internal_editor.patch
    + mcedit_full_path.patch
    + mcedit_auto_indent.patch
    + mcedit_group_undo.patch

  * Remove Patrick Winnertz <winnie@debian.org> from
    the Uploaders List (MIA). Thank you Patrick for
    all your work on mc package.
    It was a pleasure to work with you.
    (Closes: #867758).

  * Fix some spelling errors in manpage.
  * Bump standard version to 4.0.0
  * Use secure URI for upstream web site.
  * fix error message when you gzip or bzip files from user menu.
    Thanks to Yuriy M. Kaminskiy (Closes:  #863984).

 -- Denis Briand <debian@denis-briand.fr>  Fri, 04 Aug 2017 23:03:29 +0200

mc (3:4.8.18-1) unstable; urgency=low

  [ Denis Briand ]
  * Update repository in debian/watch (thanks Yury).

  [ Dmitry Smirnov ]
  * New upstream release [October 2016].
  * Vcs-Git URL to HTTPS.
  * Suggests += "libaspell-dev"
    mcedit needs libaspell for spellchecking functionality.
    -dev package is required because mcedit is looking for "libaspell.so".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 17 Oct 2016 09:59:29 +1100

mc (3:4.8.17-1) unstable; urgency=low

  * New upstream release [May 2016] (Closes: #746990).

  [ Denis Briand <debian@denis-briand.fr> ]
  * Fixed spelling error in manpage s/interpeted/interpreted/
  * Removed obsolete patches:
    - 3379.patch
    - update-po.patch

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Updated copyright file.
  * Standards-Version: 3.9.8.
  * Modernised Vcs-Browser URL.
  * dbgsym-migration: dropped "mc-dbg" package.
  * Remove obsolete conffile "/etc/mc/mc.menu.sr".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 May 2016 07:41:26 +1000

mc (3:4.8.15-2) unstable; urgency=low

  * Upload to unstable.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Updated "mcedit_full_path.patch" to modify corresponding man page.
  * Fix build with "debuild -A" (Closes: #806076).

  [ Denis Briand <debian@denis-briand.fr> ]
  * Remove debian/mc.menu file (see #741573).

 -- Denis Briand <debian@denis-briand.fr>  Sat, 19 Dec 2015 23:15:45 +0100

mc (3:4.8.15-1) experimental; urgency=low

  * New upstream version [November 2015].
    + fixed "segfault for SFTP VFS" (Closes: #774135).
  * Handle conffile removal from maintscript.
  * New "mcedit_full_path.patch" to show full path to the file in 'mcedit'.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Nov 2015 17:12:11 +1100

mc (3:4.8.14-1) experimental; urgency=low

  * New upstream version [March 2015]:
    + fix mcedit: status line doesn't show full path to file (Closes: #764226).
    + fix file selection by patterns uses bytes instead of unicode characters
      (Closes: #663136).

  [ Denis Briand <debian@denis-briand.fr> ]
  * Add lintian override on debian-watch-may-check-gpg-signature
      Upstream doesn't provide gpg signature.
  * Add Keywords entry into debian/mc.desktop file.
  * Add mcedit.desktop file.
  * Denis Briand goes back into the package devel team.
      Add into 'uploaders' field.
  * Add mcedit into Debian menu.
  * Add mcedit icon.
  * Remove merged upstream patches:
    + 2966.patch
    + 3297.patch
    + pot.patch

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Minor copyright updates; refreshed "2987" and "alt_editor" patches.
  * rules: dropped obsolete "override_dh_builddeb".
  * rules: policy §4.9 compliant "get-orig-source".

 -- Denis Briand <debian@denis-briand.fr>  Tue, 24 Mar 2015 12:43:27 +0100

mc (3:4.8.13-3) unstable; urgency=medium

  * New upstream patch to fix loss of destination file when pre-allocation
    fail (Closes: #767463).
  * New patch to prevent accidental execution of shell command
    (Closes: #703741).
    Thanks, Dmitry Borisyuk.
  * New patch to use dummy password to prevent hangs on extraction from
    encrypted ZIP archives (Closes: #772080).
    Thanks, Dmitry Borisyuk.
  * New patch to fix bashism in "gitfs+" helper (Closes: #772306).
    Thanks, Raphael Geissert.
  * Update translations during build (Closes: #772879).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Dec 2014 21:35:45 +1100

mc (3:4.8.13-2) unstable; urgency=medium

  * New "2966.patch" to fix viewing broken man pages (Closes: #700569).
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Sep 2014 17:09:08 +1000

mc (3:4.8.13-1) unstable; urgency=low

  * New upstream release [September 2014].
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Sep 2014 16:48:34 +1000

mc (3:4.8.12-1) unstable; urgency=low

  * New upstream release [April 2014].
    + fixed Alt-P "format parahraph" (Closes: #725692).
    + fixed tilde ("~") expansion (Closes: #733621).
  * Refreshed thin "modarin" skins.
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Apr 2014 13:07:19 +1100

mc (3:4.8.11-1) unstable; urgency=low

  * New upstream release [November 2013].
    + fixed behaviour with "num_history_items_recorded=0" (Closes: #723868).
    + no longer use deprecated "find -perm +xxx" (Closes: #724766).
  * Removed all backported and forwarded patches.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Dec 2013 05:41:14 +1100

mc (3:4.8.10-4) unstable; urgency=low

  * New backported "3059.patch" to fix "Compute totals" progress bar and
    segfault on copy/move operations (Closes: #722891);
    Thanks, Graham Inggs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 17 Sep 2013 17:28:54 +1000

mc (3:4.8.10-3) unstable; urgency=low

  * New backported patches:
    + "3047.patch" to fix handling directories in command line
      (Closes: #714369).
    + "3053.patch" to fix FTBFS on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 15:15:07 +1000

mc (3:4.8.10-2) unstable; urgency=low

  * Upload to unstable.
  * New backported "3070.patch" to fix saving changes in nested archives
    (Closes: #721961).
  * Consolidated some viewer override patches into "ext_run-mailcap.patch";
    extended the latter to use `see` instead of `realplay` to open .ram
    files.
  * mc: "Provides: mcedit" (Closes: #720938).
  * Enabled verbose build using "--disable-silent-rules".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 08 Sep 2013 13:18:36 +1000

mc (3:4.8.10-1) experimental; urgency=low

  * New upstream release [August 2013].
  * No longer ship "debian/skins/modarin-1.2" since upstream integrated
    original "modarin" skins to orig.tar.
  * Patchworks:
    - dropped "mcedit_max-size.patch" as upstream removed limitation
      for file size.
    - all backported patches are dropped.
    + some remaining patches were refreshed.
    + added new patch to fix "macro `\' not defined" in man pages.
  * mc-data: "Multi-Arch: foreign" (Closes: #712243).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Aug 2013 21:17:55 +1000

mc (3:4.8.8-1) experimental; urgency=low

  * New upstream release [April 2013]
    + Fixed "Improper sanitization of MC_EXT_SELECTED variable"
      CVE-2012-4463 (Closes: #689571).
    + Fixed "Panelize loses files after find" (Closes: #694943).
  * Patchworks:
    * Dropped all backported patches.
    * Removed patches (no longer needed due to upstream changes):
      - man_mc
      - ext_libreoffice
      - ext_use_default_pdf_viewer
      - ext_use_dvicat_instead_of_dvi2tty
    * New patches:
      + [ext_open_dvi] to use mailcap entry to choose dvi viewer instead
        of hardcoded `xdvi`.
      + [2991] to fix MC#2991 "find dialog status area not properly
        cleared upon update".
      + [3000] to fix MC#3000 "incorrect file size in overwrite dialog".
      + [3001] to fix MC#3001 "garbage in subshell prompt".
  * Renaming keymap conffiles in [postinst,postrm,preinst] according to
    upstream changes.
  * Added (Oregon State University) mirror to debian/watch.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Jun 2013 01:38:56 +1000

mc (3:4.8.5-1) unstable; urgency=low

  * Upload to unstable.
  * Standards to 3.9.4.
  * Suggests:
    + genisoimage (provides "/usr/bin/isoinfo") (Closes: #701190).
    + poppler-utils (provides "/usr/bin/pdftotext").
  * Removed obsolete "DM-Upload-Allowed: yes".
  * Updated my email address and copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 May 2013 11:02:26 +1000

mc (3:4.8.5-1~exp5) experimental; urgency=low

  * New backported patch to fix diff.gz inspection from symlink
    (Closes: #689258).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 04 Oct 2012 11:35:25 +1000

mc (3:4.8.5-1~exp4) experimental; urgency=low

  * New backported patch to fix ESC+TAB completion on paths
    starting with "~" (Closes: #688075).
  * Removing obsolete conffile "/etc/mc/edit.spell.rc" (Closes: #687459).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 25 Sep 2012 09:55:29 +1000

mc (3:4.8.5-1~exp3) experimental; urgency=low

  * New ext_use_default_editor.patch to override "vi" hardcoded in mc.ext
    with "editor" to invoke system's default editor instead of vi.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 22 Sep 2012 13:20:25 +1000

mc (3:4.8.5-1~exp2) experimental; urgency=low

  * debian/clean to remove generated files in order to allow second
    build in the same source tree.
  * replace '$${prefix}' passed to --libexecdir with '/usr' to fix ext.d
    handlers. Otherwise '${prefix}' get embedded to scripts which makes
    them fail if ${prefix} variable is not set.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 14 Sep 2012 15:27:42 +1000

mc (3:4.8.5-1~exp1) experimental; urgency=low

  * New upstream release [September 2012]
    (Closes: #681773) "segfaults when /tmp/mc-root is not owned by root".
  * build using:
    + --enable-aspell to enable spell check in internal editor.
    + --enable-vfs-sftp for SFTP support.
    + --as-needed to minimise needless linking.
  * New build dependencies:
    + libaspell-dev
    + libssh2-1-dev
  * Build-Depends are sorted and alphabetised.
  * Suggest 'texlive-binaries' (providing 'dvi2tty') as alternative
    to 'catdvi'.
  * new patches:
    + 2873 to fix "'Enter' action on a rpm file with space in file name".
    + 2881 to fix "two-columns extra offset of cursor after tab character".
    + mcedit_group_undo.patch to use "Group undo" by default in mcedit.
  * dropped obsolete (applied-upstream or old backported) patches.
  * remaining patches are updated; backported patches applied first.
  * force x-www-browser instead of upstream list of browsers.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Sep 2012 02:43:55 +1000

mc (3:4.8.3-10) unstable; urgency=low

  * New backported patch to fix diff.gz inspection from symlink
    (Closes: #689258).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 02 Oct 2012 19:09:51 +1000

mc (3:4.8.3-9) unstable; urgency=low

  * new backported patch to fix ESC+TAB completion on paths
    starting with "~" (Closes: #688075).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 24 Sep 2012 01:36:11 +1000

mc (3:4.8.3-8) unstable; urgency=low

  * New backported patches:
    + to fix "cannot Copy/Move files with filename encoding change".
    + to fix "can't create or enter directory ~".

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 10 Sep 2012 12:32:50 +1000

mc (3:4.8.3-7) unstable; urgency=low

  * New backported patches:
    + to fix bug in shell link history.
    + to fix incomplete sand256 skin.
  * Minor update to 2862.patch as per upstream merge.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 30 Aug 2012 18:53:22 +1000

mc (3:4.8.3-6) unstable; urgency=low

  * xz compression for binary packages.
  * new backported patches:
    + to fix "refresh problem in directory tree view" (Closes: #675692).
    + to fix "mcedit can't save file in safe mode" (Closes: #673252).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 25 Aug 2012 12:19:25 +1000

mc (3:4.8.3-5) unstable; urgency=low

  * 2800.patch is corrected to avoid crash on entering archives.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 05 Aug 2012 21:52:36 +1000

mc (3:4.8.3-4) unstable; urgency=low

  * new backported patches:
    + to fix "Garbage directory listing in ftpfs"
      (Closes: #681515, #675921).
    + to fix "hex search: can't find 00 (zeroes) in patterns".
  * mc.desktop is validated with 'desktop-file-validate' and corrected.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 05 Aug 2012 09:51:58 +1000

mc (3:4.8.3-3) unstable; urgency=high

  * added new backported patch to fix issue which may cause loss of data
    on copy to full partition (Closes: #677038).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 27 Jun 2012 04:51:30 +1000

mc (3:4.8.3-2) unstable; urgency=low

  * do not FTBFS on failed post-build tests.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 06 May 2012 14:49:48 +1000

mc (3:4.8.3-1) unstable; urgency=low

  * New upstream release [April 2012]
    + fixed crash on compare files with panel in quickview mode
      (Closes: #666692)
  * dropped cannot-copy-zero-length-files-with-Preallocate_space-option.patch
    (applied-upstream)
  * new backported patches:
    + to fix FTBFS with --enable-tests
    + to fix warning on entering archives
    + to fix crash on relative symlink creation
    + to fix crash on 'chown'
  * old patches are refreshed, sorted and renamed
  * minor debian/copyright clean-up
  * changing debian source compression to .xz

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 05 May 2012 08:14:20 +1000

mc (3:4.8.1-4) unstable; urgency=low

  * patch (Closes: #664840 I:"cannot copy zero-length files with
    [Preallocate space] option")
  * d-rules: invoke autogen.sh if present in source tree to
    simplify building from trunk

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 29 Mar 2012 22:51:16 +1100

mc (3:4.8.1-3) unstable; urgency=low

  * new beautiful 256 color skins "modarin-1.2" by Oliver Lange
  * d-README.Debian: Document a potential issue about invisible
    double lines in those skins and how to work around these.
  * d-control: no longer suggest transitional 'xpdf-reader'
  * d-rules: build with all hardening

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 16 Mar 2012 09:49:52 +0100

mc (3:4.8.1-2) unstable; urgency=low

  * Build-Depends are updated: 'bison' moved to build-deps;
    architecture wildcard replaced silly "type-handling | not+linux-gnu"
    (Closes: #587875 N:"Please remove type-handling dependency")
  * new patch to increase maximum file size for mcedit to 128 MiB
    (Closes: #369565 W:"mcedit: wishing a bigger file size limit")
    Thanks to Daniele Giacomini.
  * new patch to disable "Return does autoindent" by default in mcedit
    (Closes: #570502 N:"mcedit: adding extra spaces when pasting a text
     preceded by spaces")
    (Closes: #575711 N:"pasting extra tabs, AGAIN")
  * added mc.NEWS file with notes about important changes in this release
    (Closes: #661435 W:"lynx-like motion is lost during upgrade to 4.8.1")
  * added symlinks to all scripts in /usr/lib/mc for backward compatibility
  * new patch to correct path to scripts in man page
    (Closes: #661481 N:"Acknowledgement mc: /usr/share/mc/bin/mc.sh missing")
  * 'unzip' added to build-deps to set proper zip mode at build-time;
    'unzip' moved to Recommends from Suggests.
    (Closes: #661467 N:"mc: zip file browsing broken")
  * Recommends 'perl' and 'unzip' instead of Suggests
  * dropped old 20_wrong_path_to_wrappers.patch, which was breaking
    correct path to wrappers (note the precisely chosen file name ;)
  * corrected and properly annotated 09_uzip_broken_528239.patch

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 27 Feb 2012 17:16:53 +1100

mc (3:4.8.1-1) unstable; urgency=low

  * New upstream release [December 2011]
    (Closes: #618542 N:"please follow upstream progress")
    (Closes: #528331 N:"[VFS] utar is unable to open .tar files")
    (Closes: #626287 N:"SHIFT+F6 should open rename dialog")
    (Closes: #609489 I:"If <F4> is pressed ~/.mc/cedit/Syntax is missing")
    (Closes: #606331 I:"regression: panel configuration on startup;
     view search configuration")
    (Closes: #567119 I:"mcedit ignores editnormal in MC_COLOR_TABLE")
    (Closes: #587372 N:"fish does not preserve modification time when
     copying files to remote host")
    (Closes: #592396 N:"file rename (F6) with non-usual characters failed")
    (Closes: #525146 N:"mc hangs when copying multiple files from ftp")
    (Closes: #574761 N:" [VFS] internal tar considers files containig
     '@' as directories.")
    (Closes: #584687 N:"mc/fish segfaults when remote copy/move appends
     to existing file")
    (Closes: #619092 W:"Wishlist: mc to open ISO files")
    (Closes: #602857 M:"use 7zr for generic .7z archives if available")
    (Closes: #61987 W:"total ETA wanted")
  * debian/watch
    • fixed and updated to fetch latest .tar.xz
  * dropped CDBS, now using debhelper only
  * debhelper & compat to version 9
  * dh-autoreconf to update toolchain
  * intltoolize to refresh Makefile.in.in
  * debian/control
    • standards to 3.9.3 (thanks to Andreas Tille)
    • added to build-deps:
      + 'type-handling' as alternative to 'libgpm-dev'
      + 'libpam0g-dev' optional, used by build system
      + 'check' to enable post-build unit tests
      + 'autopoint' (used by autoreconf)
    • 'bison' added to Build-Depends-Indep
       if available, it is used by upstream build system
       to regenerate some files
    • added myself to Uploaders
  * debian/copyright:
    • updated and converted to DEP-5
    • added copyrights of debian contributors
    • audit of upstream licenses/copyrights - all information is included
  * configure options
    + --disable-static
    + --enable-tests
    - --without-samba (obsolete)
  * patchworks:
    • relocated to debian/patches from subdir
    • new patches:
      + new man_spelling.patch (lintianisation)
      + new ext_libreoffice.patch to replace 'ooffice' command
        with 'libreoffice' - thanks to Osamu Aoki
        (Closes: #641926 N:"mc.ext updates (xz, libreoffice)")
      + new ext_cpio-xz.patch to improve .xz support,
        (thanks to Osamu Aoki)
    • updated:
      * 04_add_gem_extension.patch
      * 05_disable_internal_editor.patch
      * 08_use_sensible-editor.patch
      * 99_detect_alt_editor.patch
    • disabled, to drop later:
      * 09_uzip_broken_528239.patch
    • dropped (obsolete)
      - 03_use_awk.patch
      - pending/99_enable_reading_debs.patch (applied upstream)
      - debian/patches/README
  * updated lintian overrides
    + added lintian-overrides for executable-not-elf-or-script
      for files in /usr/lib/mc/fish
  * install correct ChangeLog
  * install scripts to /usr/lib/mc
    (previously was installed to /usr/share/mc)
  * added symlink to missing mcdiff.1 man page
  * added symlink to relocated mc-wrapper.sh for backward compatibility
  * dropped man page for mcmfmt (binary is no longer shipped by upstream)
  * handle configuration files upgrades/removes with
    dpkg-maintscript-helper in preinst/postinst/postrm
  * architecture-independent files are separated to 'mc-data' package
    + added upgrade path with Breaks/Replaces
    + added symbolic links to link files from /usr/share/doc/mc-data/
      to /usr/share/doc/mc/
  * removed 'exit 0' from preinst/postinst/prerm/postrm files
  * VCS links updated to point at new collab-maint repository

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 24 Feb 2012 13:04:57 +1100

mc (3:4.7.0.9-2) unstable; urgency=low

  * debian/desktopfiles: Added desktop file and icon from
    https://midnight-commander.org/ticket/2314
    Closes: #616196
  * debian/patches/pending/99_enable_reading_debs.patch: Enable reading
    *.deb files again
    Closes: #626171, #628762

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jun 2011 13:31:08 +0200

mc (3:4.7.0.9-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
    + Corrected typos in man pages (Closes: #585503)
  * Enabled ext2undelfs by default (LP: #267480)
  * Tightened libslang2 dependency (Closes: #592772)

 -- Yury V. Zaytsev <yury@shurup.com>  Tue, 07 Sep 2010 10:59:46 +0200

mc (3:4.7.0.8-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
    + Added *.ini file syntax (Closes: #567046)
    + mcedit won't go looping when replacing \n regexp (Closes: #584241)
    + mcedit won't try to set the codepage twice (Closes: #586903)
    + Removed mcedit/mcview wrappers in favor of patch (Closes: #592208)
  * Bumped standards version to 3.9.1.
  * Remaining lintian warning (unknown-locale-code) fixed upstream.
  * Removed duplicate lintian override.
  * Removed Denis Briand <denis@narcan.fr> from uploaders.
    Thank you very much Denis for all your help!
  * Revamped the patches again (bug numbers etc.)
  * Updated install* wildcards.

 -- Yury V. Zaytsev <yury@shurup.com>  Tue, 10 Aug 2010 21:27:10 +0200

mc (3:4.7.0.6-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
  * Added lintian override for setgid-binary.

  [Denis Briand]
  * Created debian/lintian directory.
  * Created debian/extra/icon directory.
  * Moved debian/extra/icon.xpm to debian/extra/icon/mc.xpm.

 -- Denis Briand <denis@narcan.fr>  Sun, 06 Jun 2010 19:11:39 +0200

mc (3:4.7.0.5-2) unstable; urgency=low

  [Yury V. Zaytsev]
  * More fixes to cons.saver: Hilmar Preusse, Sven Joachim.
    + (Closes: #582078)

 -- Yury V. Zaytsev <yury@shurup.com>  Thu, 20 May 2010 11:18:21 +0200

mc (3:4.7.0.5-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
    + (Closes: #564072)
    + (Closes: #476490)
    + (Closes: #502196)
    + (Closes: #551528)
    + (Closes: #565402)
    + (Closes: #564103)
    + (Closes: #543899)
  * Fixed a bug where cons.saver was not installed that went unnoticed.
  * Fixed cons.saver permission bug (Shentino, closes LP: #367318).
  * Fixed wrong libexec scripts location.
  * Now build --with-x by default (obtain modifiers from X when possible).
  * Now disable rpath by default (--disable-rpath).
  * Refreshed Debian-specific patches.
  * Removed invisible cursor notice, bug's been fixed in vte!
  * Removed obsolete compile flag (--with-glib2).
  * Removed obsolete smb.conf path patch (Samba support disabled by default).
  * Removed upstreamed documentation patch.
  * Updated the watch file to track the new upstream download system.

  [Denis Briand]

  * Bumped standards version to 3.8.4.
  * Removed quilt build-dependency and debian/README.source file.

 -- Denis Briand <denis@narcan.fr>  Mon, 17 May 2010 17:12:32 +0200

mc (3:4.7.0.1-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
  * Purged old unneeded links.
  * Updated README.Debian.
  * Updated the list of configuration files to be purged.
  * Updated the list of files and permissions in rules.
  * Updated the list of files to be installed (Closes: #563797)

  [Denis Briand]
  * Fix spelling-error-in-manpage.

 -- Denis Briand <denis@narcan.fr>  Fri, 15 Jan 2010 19:41:50 +0100

mc (3:4.7.0-1) unstable; urgency=low

  [ Patrick Winnertz ]
  * Fix misleading description of mc and mc-dbg:
        SMB protocol is not further possible with mc, due to security
        issues. (Closes: #541267)
  * Added patch to fix codejump if there is a number in the function name
  * Added patch to fix the broken German date in the mc panels
    (Closes: #541104)
  * Added patch to enable .gem archives. (Closes: #541673)
  * Added several bugfixes for crashes or misbehaviour which are fixed in
    upstreams git for 4.7.0-pre2.
  * Added note about user-defined colors in README.Debian (Closes: #392262)

  [ Denis Briand ]
  * New upstream version.
    + (Closes: #544996)
    + (Closes: #390301)
    + (Closes: #562371)
  * Switch to the new source package formats "3.0 (quilt)".
  * Hack Debian watch file to fix issue with the new upstream repository.
  * Bump Standards-Version to 3.8.3.
  * Add debian/README.source file.
  * mime-support is now a Recommended package.
  * Use mailcap entry to choose pdf viewer (Closes: #544054).
  * Use mailcap entry to choose images viewer (Closes: #544058).
  * Change doc-base Document field into lower-case name.
  * Change doc-base Section field into `File Management'.
  * Escape few minus sign again into manpages.
  * Add ico files support (Closes: #546737).
  * Suggest gv package to read ps files into X.
  * Use catdvi instead of dvi2tty (Closes: #543202).
  * Suggest catdvi to preview dvi files on text-only devices.
  * Add djvu files support and suggest djvulibre-bin package (Closes: #543651).
  * Allow Debian Maintainers Uploads.
  * Use sensible-editor to edit files (Closes: #549202).
  * Downgrade imagemagick dependency to Suggests (Closes: #550234).
  * Use DEB_BUILD_OPTIONS to chose the number of building processes
    (Closes: #549658).
  * Add Yury V. Zaytsev into Uploaders field.
  * Add python, python-boto and python-tz into Suggests field,
    for vfs Amazon Web Services S3.

  [ Yury V. Zaytsev ]
  * Remove FTP chattr patch (upstream ticket #1708).
  * Remove symlink patch (upstream ticket #1828).
  * Remove upstreamed documentation patches (upstream ticket #1691).

 -- Denis Briand <denis@narcan.fr>  Fri, 25 Dec 2009 22:52:13 +0100

mc (2:4.7.0-pre1-3) unstable; urgency=low

  [ Patrick Winnertz ]
  * Fix layout issue in the info page (Closes: #539958)
  * Fix escape of ~ in ~/Desk or something similar (Closes: #520026)
  * Mention in README.Debian that a different TERM on gnome-terminal
    prevents the cursor from vanishing in mcedit over tabs.
  * Add patch to make wildcards in copy/remove/move dialog work again
    (Closes: #540110)
  * shift-F3 doesn't unmark the selection after copying anymore
    (Closes: #302513)
  * Every fish operation is now placed within a if, so if there are errors
    because of permissions or something else, this is now reported
    (Closes: #496974)

  [ Denis Briand ]
  * Fix wrong path to wrapper scripts (Closes: #540238).
  * Fix lintian warning `debian-changelog-line-too-long'
    in 2:4.7.0-pre1-2 changelog.
  * Remove trailing whitespaces in several debian/ files.

 -- Patrick Winnertz <winnie@debian.org>  Sun, 09 Aug 2009 11:55:31 +0200

mc (2:4.7.0-pre1-2) unstable; urgency=low

  [ Denis Briand ]
  * Fix mistake about Syntax file in debian/mc.install (Closes: #539917).

  [ Patrick Winnertz ]
  * Install cons.saver only on linux not on kfreeBSD (Closes: #539913)
  * Added small patch to use awk instead of mawk in the extfs shell scripts
    (Closes: #499723)
  * Added patch for fixing hotlist entries (Closes: #539967)
  * Fixed several upstream known problems
    - bugs/1392_regression_in_tar_support.patch
    - bugs/1453_fix_crash_on_f14.patch
    - bugs/1404_ctrl-c_kills_mc.patch
    - bugs71456_fix_mcedit_regex_replace_segfault.patch
    - bugs/1415_hotlist_buffer_cleanup.patch

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Aug 2009 16:47:20 +0200

mc (2:4.7.0-pre1-1) unstable; urgency=low

  [ Patrick Winnertz ]
  * Change Section for -dbg package to debug
  * Change version number to reflect the correct status of the snapshot.
  * Add extra configure options.

  [ Denis Briand ]
  * New upstream version:
    + fix issue on directories with white spaces (Closes: #529881)
    + fix malformed Command prompt (Closes: #528797)
    + new awk.syntax file (Closes: #504078)
      thanks to Andrew O. Shadoura for his patch.
    + fix ~/.mc directory issue (Closes: #527104)
    + display hostname in xterm title (Closes: #504105)
  * Add co-maintainer : Denis Briand <denis@narcan.fr>
  * Package use cdbs now.
  * Bump standards version to 3.8.2
  * Bump debian/compat to 7
  * Rename debian/patches/all.series into debian/patches/series
    + to be lintian clean
  * Change copyright link to an existent file in debian/copyright
  * Add ${misc:Depends} in debian/control
  * Change deprecated dh_clean -k into dh_prep in debian/rules
  * Fix FTBFS issue: unrepresentable changes to source (Closes: #528983)
  * Fix bashism in vfs/extfs/u7z script (Closes: #530137)
  * Fix non escaped characters on man files.
  * Fix non FHS path on man files.
  * Fix fails to display zipfile contents after unzip update (Closes: #528239)
    Thanks to Johannes Stezenbach for his patch.
  * remove merged upstream patches:
    + bugs/64_visible-tabs
    + syntax/02_improving-nroff
    + syntax/09_spec-syntax
    + syntax/10_vhdl-syntax
    + syntax/13_procmail-syntax
    + vfs/05_add_lzma_support
    + vfs/06_remove_obsolete_rpm_tags
    + vfs/07_srpm_support
    + vfs/08_improved_u7z_support
  * remove unused/deprecated/unenforcable patches:
    + bugs/99b_fix-regex-pattern-lengths
    + bugs/99_regexp-replace-fixed
    + debian/03_use_awk_first
    + mc.ext/01_tar_forgot_arg
    + mc.ext/02_use_arj
    + mc.ext/03_debian_packages
    + mc.ext/04_view_ascii
    + mc.ext/05_gimp_remote
    + mc.ext/06_use_several_text_browsers
    + mc.ext/07_add_antiword
    + mc.ext/08_several_additions_debian
    + mc.ext/09_several_additions_mandriva
    + mc.ext/10_run_mailcap
    + po/10_it.po
    + syntax/08_c-vs-cxx
    + syntax/12_asm-syntax
    + vfs/03_dont_hang_on_errors
    + vfs/04_fix_whitespace_via_fish
    + vfs/05_error_on_copymove_over_fish
  * Add imagemagick in Recommends for mc binary package,
    thanks to Olaf van der Spek (Closes: #534681).
  * Add Vcs fields in debian/control
  * Improve build time on i386 and amd64 multi CPU.

 -- Patrick Winnertz <winnie@debian.org>  Tue, 30 Jun 2009 23:54:42 +0200

mc (2:4.6.2-2) unstable; urgency=low

  * Build also the .gmo language files. (Closes: #519674)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 17 Mar 2009 10:51:44 +0100

mc (2:4.6.2-1) unstable; urgency=low

  * New upstream release
    + fix issues with fish if on the remote site the ls command doesn't understand -Q
      (Closes: #488497, #512715)
    + fix issues with links over fish (Closes: #411970)
    + mc is revived again :) Furthermore it got a new homepage. (Closes: #513174)
  * Dropped many patches as they are finally merged upstream:
    + bugs/100_bashism.patch
    + 28_mc-dontrewrite.patch
    + 61_escaping.patch
    + 99a_fix-regex-bol-match.patch & 99c_fix-regex-newline-match.patch
    + all german po patches
    + 01_debian_syntax.patch
    + 08_c-vs-cxx.patch & 03_cxx.syntax.patch
    + 04_sh_syntax.patch
    + 03_fix_whitespace_via_fish.patch
    + 04_fix_whitespace_via_fish.patch
  * Took mc-4.6.2-utf8.patch from upstream which is based on the former debian
    patchset for utf8
  * Removed autogen.sh run patch as this is not needed anymore

 -- Patrick Winnertz <winnie@debian.org>  Mon, 02 Feb 2009 16:50:32 +0100

mc (2:4.6.2~git20080311-4) unstable; urgency=high

  * Corrected fix for odt2txt issue (Closes: #492019)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 16 Sep 2008 10:38:59 +0200

mc (2:4.6.2~git20080311-3) unstable; urgency=medium

  * Correct translation of Free space. Thanks to Sven Joachim.
    (Closes: #471543)
  * Build depends on libgpm-dev (Closes: #487863)
  * Bump standards version to 3.8.0, no further changes needed.
  * ReAdd regexp-replace-fixed.patch, dropped by a communication error,
    between me and the submitter. (Closes: 487611)
  * Highlight also .inc files as php if they are written in php.
    (Closes: 487936)
  * Enabled whitespace feature again. (Closes: #488465)
  * Use odt2txt to show openoffice documents. (Closes: #492019)
  * Fix typo in mc.ext (Closes: #489751)
  * Fix bashisms, in some extfs files. (Closes: #489631)

 -- Patrick Winnertz <winnie@debian.org>  Mon, 21 Jul 2008 22:40:58 +0200

mc (2:4.6.2~git20080311-2) unstable; urgency=low

  * Add debug package. Thanks to Baurzhan Ismagulov. (Closes: #472339)
  * Add 60_recode patch again. (Closes: #483112)
  * Add tty.patch to fix displaying problems. Thanks to Andrew O. Shadoura
    (Closes: #359016)
  * add patch with the result of the autogen.sh run.
    (Closes: #481539, #482761, #484759, #486569)
  * Added mail syntax. Thanks to Michelle Konzack. (Closes: #481651)
  * Add procmail syntax. Thanks to Michelle Konzack (Closes: #485475)
  * Add again run-mailcap calls in mc.ext. This gone lost during the
    reordering the patches in order to use quilt. (Closes: #485935)
  * Fix tar call in mc.ext (Closes: #381353)
  * Suggest dbview. Thanks to Daniel Hahler. (Closes: #486915)
  * Do not use internal editor per default. (Closes: #413258)
  * Fix regex patch supplied by Michal Pokrywka (Closes: #487611, #486676)
  * For those who read this changelog: There are very many unresolved bugs
    left in the BTS, it would be cool if someone who has some C coding
    experience would have a look on some and write patches. Thanks in advance.

 -- Patrick Winnertz <winnie@debian.org>  Mon, 23 Jun 2008 22:12:28 +0200

mc (2:4.6.2~git20080311-1) unstable; urgency=low

  * Have to bump from 1: to 2: ... ~git is lower than ~pre
  * New git snapshot from (http://repo.or.cz/w/mc.git) in order to have
    some new patches included into mc and to ease up patch writing.
  * Reordered patches and use now quilt for applying them.
    + Add several new patches from mandriva
  * Removed samba support, since it was based on a statically linked lib,
    which is shipped within the sourcecode. This lib was over 10 years untouched.
    (Closes: #451964, #432324)
    + By the way... a patch for the samba issue would be nice!!
  * Switched to the utf8-patches used in mandriva (Closes: #359016)
  * Added asm.syntax. Thanks to Michelle (Closes:  #479550)
  * Added vhdl.syntax. Thanks to Adam Pribyl. (Closes: #481539)
  * Added named.syntax to the Makefile (Closes: #477835)
  * Added patch by Michal Pokrywka in order to fix regex replace behaviour in
    mcedit (Closes: #474484)

 -- Patrick Winnertz <winnie@debian.org>  Sun, 18 May 2008 22:18:33 +0200

mc (1:4.6.2~pre1-7) unstable; urgency=medium

  * Work in progress on 61_escaping.patch
    + added ?[]{}, to the list which should be escaped
    Thanks to the hint of Andreas Tille <tille@debian.org>
  * Fixed a memory allocation problem in 61_escaping.patch (Closes: #469574)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 06 Mar 2008 11:19:45 +0100

mc (1:4.6.2~pre1-6) unstable; urgency=medium

  * Same reason as last upload for urgency=medium. The last version doesn't
    made it into testing.
  * Fix abort of mc while copying files. (Closes: #425192)
    + modified 61_escaping.patch
  * Fix coredump on weired filenames (Closes: #469075)
    + modified 61_escaping.patch
  * Fix error of run-mailcap because of wrong syntax. (Closes: #468894)
    + modified 01_mc.ext.in.mime.patch
  * Clean up README.Debian and remove old and nowadays obviously parts.
    + Add comment about changed behaviour of M-o.

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Mar 2008 11:09:12 +0100

mc (1:4.6.2~pre1-5) unstable; urgency=medium

  * Urgency=medium since this upload contain several important things.
  * Revert new utf8 patch since it doesn't work with all locales atm.
  * revert patch to make scp work again.
  * show again hostname in xterm title.
    + added as 32_show_hostname.patch (and removed from proposed-patches)
  * Added patch for (un-)escaping foldernames (Closes: #326047, #458403, #76498)
  * Don't chmod if preserve Attributes is unchecked (Closes: #466370)
  * Fix error with files containing a whitespace via ssh. (Closes: #461532)
  * Fix hang when copying a file over fish without having permissions for
    reading for this particular file. (Closes: #447239)
  * Added patch to make visible_tabs configurable (Closes: #466476)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 27 Feb 2008 20:47:37 +0100

mc (1:4.6.2~pre1-4) experimental; urgency=low

  * Upload to experimental in order to test new utf8 patches.
  * Rediffed the named/strace/dsc syntax and added them to the Makefile.
  * Create file with 0600 if preserve Attributes is unchecked.
    (willclose: #466370)
  * Switched to new utf8 patch which will be accepted by upstream.
  * Create autogen-run.patch with the result of the autogen.sh run
  * mv 2 patches into propsed-patches:
    + 12_main.c.patch
    + 30_recode.patch
    They both doesn't work with these utf8-patches atm.

 -- Patrick Winnertz <winnie@debian.org>  Tue, 26 Feb 2008 20:17:26 +0100

mc (1:4.6.2~pre1-3) unstable; urgency=low

  * Open also files with colons with run-mailcap. (Closes: #442024)
  * Remove run-mailcap from default target.. executables weren't executed with
    that. (Closes: #466199)

 -- Patrick Winnertz <winnie@debian.org>  Sun, 17 Feb 2008 10:43:22 +0100

mc (1:4.6.2~pre1-2) unstable; urgency=low

  * Add a Suggests on file. (Closes: #435135)
  * Fix uzip errror by removing ancient patch. Thanks to pabs.
  * Added updated html syntax (Closes: #372134)
  * Added debian-description.syntax (syntax highlighting for .dsc file)
    (Closes: #372136)
  * Added updated sh.syntax (Closes: #372139)
  * Added strace.syntax (Closes: #383319)
  * Added option to open gzipped/bziped2 html files. (Closes: #444293)
  * Added option to open compressed pdf/ps/dvi files. (Closes: #314557)
    + Added xpdf suggest to mc
  * After all options fail, use mime-support in order to open something.
    (Closes: #360676)
    + Therefore I'll have to depend on mime-support (added as depends)
  * Added named.syntax (syntax highlighting for bind9 configuration files)
    (Closes: #405545)

 -- Patrick Winnertz <winnie@debian.org>  Sat, 16 Feb 2008 16:53:09 +0100

mc (1:4.6.2~pre1-1) unstable; urgency=low

  * New upstream release.
    + (Closes: #301732)
    + (Closes: #192882)
    + (Closes: #248646)
    + (Closes: #258253)
    + (Closes: #273699)
    + (Closes: #302516)
    + (Closes: #305642)
    + (Closes: #309186)
    + (Closes: #458208)
    + (Closes: #420437)
    + (Closes: #346037)
    + (Closes: #367348)
    + (Closes: #118717)
    + (Closes: #349390)
    + (Closes: #304886)
    + (Closes: #329186)
    + (Closes: #324920)
    + (Closes: #109963)
    + (Closes: #227875)
    + (Closes: #397333)
    + (Closes: #428567)
    + (Closes: #428993)
    + (Closes: #301537)
    + (Closes: #301539)
    + (Closes: #359046)
    + (Closes: #407593)
    + (Closes: #198194)
    + (Closes: #109963)
  * New maintainer: pkg-mc-devel@lists.alioth.debian.org (Closes: #455564)
  * New Uploader: myself
  * Bumped Standards-Version to 3.7.3
    + Menu Transition: Apps/Tools --> Applications/File Management
  * Added Homepage header to control file
  * Rediffed all patches for 4.6.2~pre1
  * Add patch to ignore chmod errors in ftpfs, since if you copy many files to
    a ftp server, without SITE CHMOD support, you'll get everytime a warning.
    (Closes: #291181)
  * Bump debian/compat to 5 (and switch from export DH_COMPAT to this file)
  * Removes Conflicts/Replaces in debian/control, since these packages doesn't
    exist any longer in the debian pool.
  * Removed some empty dirs (usr/sbin)
  * Build de.po/it.po & ru.po new in build target

 -- Patrick Winnertz <winnie@debian.org>  Wed, 13 Feb 2008 23:00:30 +0100

mc (1:4.6.1-8) unstable; urgency=low

  * Orphaning package: Stefano has been nearly MIA during the last 3 years.
  * Updated the watch file. Closes: #449618
  * Note to future DDs: do not forget to use the CVS repository available
    on Alioth: http://alioth.debian.org/projects/pkg-mc/

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 10 Dec 2007 19:50:47 +0100

mc (1:4.6.1-7) unstable; urgency=medium

  * Fixed Anton Pak's recode patch which can cause a segfault.
    Closes: #382206, #382857, #400927
  * Mode display bug fixed. Patch added to 50_utf8-more.patch. Closes: #415097
  * Shift-Enter bug fixed. The line editing widget went crazy when seeing a litteral newline
    (Shift+enter or Ctrl-q+enter). Patch added to 50_utf8-more.patch
    Downloaded from https://svn.uhulinux.hu/packages/dev/mc/patches/

 -- Ludovic Drolez <ldrolez@debian.org>  Mon,  2 Apr 2007 8:44:35 +0200

mc (1:4.6.1-6) unstable; urgency=medium

  * debian/rules modified to fix a FTBFS during the 2nd build. Closes: #384302
  * added 05_symcrash.patch to fix a segfault (should be in mc's CVS). Closes: #383341
  * mpg123 title view fixed. Closes: #391644

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 24 Aug 2006 22:19:03 +0200

mc (1:4.6.1-5) unstable; urgency=low

  * Removed the Ctrl-t accelerator from 60_recode.patch. Closes: #380417
  * Modified 47_mc.menu.patch to use 'editor' instead of the hardcoded 'vi'
    so that mc makes use of /etc/alternatives. Closes: #373144
  * .tar view fixed in 01_mc.ext.in.mime.patch. Closes: #381353
  * still 68 bugs in the BTS...

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 31 Jul 2006 22:25:47 +0200

mc (1:4.6.1-4) unstable; urgency=medium

  * added 52_utf8-8bits-slang2.patch. Closes: #359016, #378786
  * added 55_mc-utf8-look-and-feel.patch : nicer look and feel
  * added 60_recode.patch : a patch to choose the charset from mc
  * 77 bugs should still remain after this upload... If you have some time please join
    the Debian MC team.

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 12 Jul 2006 20:00:00 +0200

mc (1:4.6.1-3) unstable; urgency=low

  * Changelog removed. Closes: #317707
  * Lowered the alternative priority on 'view' and 'edit'. Closes: #367991
  * Patched the UTF8 patch to allow compiling mc without UTF8. Closes: #367187
  * html files can be opened with links, w3m or lynx. Closes: #332910
  * added 04_off64t.patch to fix problems with tar archives
    larger than 2GB. Already added in mc's CVS. Closes: #324755
  * in 50_utf8-more.patch added a small patch for a problem in the status
    line with UTF-8 locales. Closes: #360427
  * 78 bugs should still remain after this upload...

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 22 Jun 2006 16:55:12 +0200

mc (1:4.6.1-2) unstable; urgency=medium

  * mc with UTF-8 support upload. Closes: #354691, #309398, #126077, #242194
  * added Ubuntu UTF-8 patches:  48_utf8-slang2.patch
    Many thanks to Leonard den Ottolander and Sebastian Droge
  * removed 27_menu-generation.patch because of UTF-8 problems
  * convert help and hint files to UTF-8 in the Debian makefile
  * 49_64bit.patch: patch to solve some 64bit problems from Gentoo
  * use arj instead of unarj. Closes: #340089

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 20 Mar 2006 23:41:40 +0200

mc (1:4.6.1-1) unstable; urgency=low

  * New upstream release. Closes: #321805, #298345
    getgrouplist() is not used anymore. Closes: #313401
  * View jpegs with /usr/bin/exif. Closes: #207655
  * Handle .ipk like .tgz. Closes: #323927
  * Filter for .mo files. Closes: #318077
  * Obsolete patches: 07_mc-tar-name-length-fix.patch,
    24_mc-complete-show-all-fix.patch, 33_mc-iconv-error.patch.
  * 79 bugs should still remain after this upload...

 -- Ludovic Drolez <ldrolez@debian.org>  Mon,  5 Sep 2005 22:02:24 +0200

mc (1:4.6.0-4.6.1-pre4-2) unstable; urgency=low

  * Build against libslang2-dev. Closes: #315241
  * Added 07_mc-tar-name-length-fix.patch. Closes: #315597
  * Modified 35_mc.ext.in.patch to improve to deb vfs view. Closes: #198691
  * Added 09_de.po.patch to fix some typos in mc's de.po. Closes: #313796, #309957
  * Combined 35_mc.ext.in.patch, 04_dpkg_and_apt_vfs.patch, 01_mime.patch,
    41_antiword_mc.ext.patch
    to 01_mc.ext.in.mime.patch to fix build problems.

 -- Ludovic Drolez <ldrolez@debian.org>  Tue, 21 Jun 2005 20:01:31 +0200

mc (1:4.6.0-4.6.1-pre4-1) unstable; urgency=low

  * New upstream release. Closes: #309630
    20_german_translation.patch, 23_php.singlequote_fix.patch,
    30_mc-spaceprompt1.patch, 43_AUTHORS.patch, 32_lang-with-env.patch removed
  * Build with debian slang1-dev
  * Do not remove /etc/mc/mc.ini. Closes: #198954

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 18 May 2005 23:15:05 +0200

mc (1:4.6.0-4.6.1-pre3-3) unstable; urgency=medium

  * urgency=medium because of 3 important bugs introduced by the last upload.
  * removed 46_dotdotdir.patch to fix the tar bug. Closes: #308546
  * replaced the iconv patch, 33_mc-iconv-error.patch, with a new
    one provided by Roland Illig. Closes: #308296
  * added cxx.syntax by copying the old c.syntax to it. Closes: #308794
  * removed the useless 44_str_unconst.patch.

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 11 May 2005 22:57:44 +0200

mc (1:4.6.0-4.6.1-pre3-2) unstable; urgency=medium

  * Urgency set to medium because of LOTS of annoying bugs fixed and
    the segfault in mcedit.
  * Fixed German po translation with upstream, 20_german_translation.patch.
    Closes: #253869
  * Added Antiword to view .doc files, 41_antiword_mc.ext.patch
    Closes: #305649
  * Added menu entry for Debian source packages, 47_mc.menu.diff
    Closes: #307344
  * Fixed Samba enabling. Closes: #264890
  * Fixed Build-Depend on libgpm for GNU/non-Linux. Closes: #226987
  * Added colored syntax for man pages by Michelle Konzack,
    13_syntax.patch. Closes: #298322
  * Improved shell syntax highlighting by Michelle Konzack: 18_sh_syntax.patch.
    Closes: #299210
  * Improved php syntax HL with 23_php.singlequote_fix.patch
  * Fixed colored syntax highlighting and hostname in the title bar,
    22_main.c.patch
  * Fixed tar file system glitch for "tar -cvzlf file.tgz / /home/"
    Closes: #89350
  * Fixed problems with View and Edit when used with LANG=hu_HU. Closes: #103242
  * Fixed unprintable control sequences in PS1 cause broken prompt
    Closes: #83447
  * Fixed: mcedit: subshell changes directory. Closes: #208867
  * Fixed the #utar archive content viewer missing files. Closes: #228934
  * Enabled charset conversion feature. Closes: #109956, #167986
  * Added new keybinding by Vitja Makarov with 42_keybindings-0.2.2.patch
  * Added const_cast to be replaced by str_unconst, 44_str_unconst.patch
    by Roland Illig.
  * Improved symlink handling in ftpfs (45_ftpfs_symlink*.patch) by P.Tsekov.
  * Parent directory's patch by Leonard den Ottolander with 46_dotdotdir.patch
  * Fixed user@hostname in the term emulation title bar.
  * Added new menu generation patch by Roland Illig
    with 27_menu-generation.patch
  * Fixed: possible data loss when quota exedeed by Jindrich Novy.
  * Fixed uarj bug from Savannah with 29_uarj_bug.patch (Savannah #12406).
  * Added patch to view inside udebs by Mantas Kriauciunas, 35_mc.ext.in.patch
    (Sannavah #3899)
  * Added "space on prompt bugfix" by Jindrich Novy with
    30_mc-spaceprompt1.patch. Closes: #305859
  * Added Bad error checking after iconv() call patch by Jindrich Novy with
    33_mc-iconv-error.patch
  * Added syntax patches for c vs. cxx  with 32_c-vs-cxx.patch
  * Added syntax patches for scripts starting with /usr/bin/env with
    32_lang-with-env.patch
  * Added a substitute for --enable-maintainer-mode with 36_developer_mode.patch
    by Roland Illig.
  * Fixed mc core dumps when not find "context default" section in syntax section
    with 37_mcedit-segv.patch by Ian Zagorskih.
  * Added the ext2 quote fixing hunks by Leonard den Ottolander.
  * Added AUTHORS patch, 43_AUTHORS.patch, by Leonard den Ottolander.
  * Added mcedit position remember bugfix by Christian Hamar with
    31_mc_filepos_bugfix_461pre4a.patch
  * Added fix for End key in viewer by Jindrich Makovicka with 40_view.c.patch
  * Added Vietnamese translation with 26_vietnamese_po.patch
  * Fixed 11_extfs_missing.patch because of problems with .jar files.
    Closes: #299932.
  * added zip, unzip, bzip2 to 'Suggests'.

 -- Ludovic Drolez <ldrolez@debian.org>  Sun,  6 Mar 2005 12:06:32 +0100

mc (1:4.6.0-4.6.1-pre3-1) unstable; urgency=high

  * New maintainers: Stefano Melchior and Ludovic Drolez (closes: #282301).
  * Urgency set to high because of security bug fixes.
  * Missing quoting in ext2 and i18n fix.
  * Samba lib warning (netmask.c) fixed by 12_netmask_c.patch.
  * Security upload to handle DSA 639 (references: CAN-2004-1004,
    CAN-2004-1005, CAN-2004-1009, CAN-2004-1090, CAN-2004-1091, CAN-2004-1092,
    CAN-2004-1093, CAN-2004-1174, CAN-2004-1175, CAN-2004-1176),
    Fixed upstream in the pre3 release (Closes: #295261).
  * Pre3 release includes fix for CAN-2004-0226 (closes: #286395).
  * Fixed ftp filesystem impossibility to list dirs when password contains #
    (closes: #92121).
  * Fixed subshell impossibility to be started (closes: #241891).
  * Fixed CAN-2004-0494 (closes: #267596).
  * Fixed buffer overflow and format string vulnerabilities (closes: #295259).
  * Italian hotkey translation changed (closes: #231071).
  * New upstream pre-release.

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 17 Feb 2005 22:45:32 +0100

mc (1:4.6.0-4.6.1-pre1-3) unstable; urgency=low

  * Polish documentation fix no longer needed.

 -- Adam Byrtek <alpha@debian.org>  Wed,  5 May 2004 00:08:26 +0200

mc (1:4.6.0-4.6.1-pre1-2) unstable; urgency=high

  * Security upload to handle DSA-497-1 (references: CAN-2004-0226,
    CAN-2004-0231, CAN-2004-0232). Patch by Jakub Jelinek ported to
    4.6.1-pre1 by Adam Byrtek.

 -- Adam Byrtek <alpha@debian.org>  Tue,  4 May 2004 09:28:26 +0200

mc (1:4.6.0-4.6.1-pre1-1) unstable; urgency=high

  * Security upload to fix buffer overflow, 4.6.1 final will be there
    soon (closes: #226737).
  * --without-x configure flag removed as mc now libX11 is loaded
    dynamically using gmodule, if possible.

 -- Adam Byrtek <alpha@debian.org>  Thu, 15 Jan 2004 15:55:52 +0100

mc (1:4.6.0-5) unstable; urgency=low

  * Fix segfault when TERM is unset (closes: #191867).
  * Removed conflict with gmc, which works with 4.6.0. Note that gmc
    installation still requires some --force (closes: #192493).
  * Files in /var/log are no longer treated as manpages
    (closes: #179350).

 -- Adam Byrtek <alpha@debian.org>  Tue, 17 Jun 2003 15:37:05 +0200

mc (1:4.6.0-4) unstable; urgency=low

  * Standard `awk' detected first by configure, not the specific
    implmentation (closes: #181972).
  * Polish translation breakage fixed (closes: #183275).

 -- Adam Byrtek <alpha@debian.org>  Wed, 19 Mar 2003 22:17:16 +0100

mc (1:4.6.0-3) unstable; urgency=low

  * `mcview' and `mcedit' added as alternatives for `editor' and `view'
    (closes: #116518).

 -- Adam Byrtek <alpha@debian.org>  Tue, 11 Feb 2003 22:05:00 +0100

mc (1:4.6.0-2) unstable; urgency=low

  * Control field 'Replaces: manpages-pl' added to replace Polish
    manual from this package with official one (closes: #180442).
  * 'Replaces: mc-common' added to make upgrade smoother.
  * 'Conflicts: suidmanager' because mc used to use it, but it is now
    deprecated (closes: #180431).
  * Doesn't depend on libgpm when compiling on HURD.

  * README.Debian now mentions -P syntax changes (close: #180551).

 -- Adam Byrtek <alpha@debian.org>  Tue, 11 Feb 2003 13:55:47 +0100

mc (1:4.6.0-1) unstable; urgency=low

  * New upstream release.
  * First 4.6.0 official upload, and package takeover.

 -- Adam Byrtek <alpha@debian.org>  Wed,  5 Feb 2003 20:34:46 +0100

mc (4.6.0-pre3-1) unstable; urgency=low

  * New upstream prerelease.

 -- Adam Byrtek <alpha@debian.org>  Wed, 22 Jan 2003 09:54:58 +0100

mc (4.6.0-pre2-2) unstable; urgency=low

  * Patches checked, unneccesary removed, others reviewed.

 -- Adam Byrtek <alpha@debian.org>  Wed, 15 Jan 2003 00:35:20 +0100

mc (4.6.0-pre2-1) unstable; urgency=low

  * New upstream release (gmc, mc-common packages removed).
  * New maintainer, some cleanups.
  * Menu icon added (credits for the icon go to BigVax, bigvax@mail.ru).
  * New description (taken from freshmeat.net).

 -- Adam Byrtek <alpha@debian.org>  Sun, 29 Dec 2002 16:18:18 +0100

mc (4.5.55-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/CORBA/servers/gmc.gnorba a conffile (closes: #132831).
  * Correct spelling mistakes in descriptions (closes: #124680, #125121).
  * Update convert-metadata.db to deal with libgnome32 linking against db3
    rather than db2, and add a new debconf question prompting the admin to
    run it. I've left the db1->db2 question there temporarily for historical
    and translation interest (closes: #103102).
  * Upgrades from slink need both libdb2-util and libdb3-util. Fortunately,
    they can coexist. I'll leave it up to the maintainers what to do about
    this after the woody release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Feb 2002 23:09:34 +0000

mc (4.5.55-1.1) unstable; urgency=low

  * Non-maintainer upload, with Martin's permission.
  * Build-depend on docbook-utils, not cygnus-stylesheets (closes: #123161).
  * Remove bashism in debian/rules (closes: #126733).
  * Depend on perl rather than on dummy packages (closes: #113208).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Jan 2002 01:20:08 +0000

mc (4.5.55-1) unstable; urgency=low

  * New upstream release
  * Enable mouse for Eterm TERM value
  * mc.ext stabilized again upstream, so make it more Debian compliant
    again, closes: #105935, #98827
  * gmc documentation is fixed, closes: #107936
  * Fix german locale, closes: #108302

 -- Martin Bialasinski <martinb@debian.org>  Sun,  2 Sep 2001 17:07:56 +0200

mc (4.5.54-2) unstable; urgency=low

  * Use new config.guess and config.sub to allow compilation on hppa

 -- Martin Bialasinski <martinb@debian.org>  Fri, 13 Jul 2001 23:47:18 +0200

mc (4.5.54-1) unstable; urgency=low

  * New upstream release, closes: #99127
  * make gzip, compress, bzip, bzip2 entries in mc.ext more specific
    closes: #97242, #103800, #102512, #97896, #96649, #104111
    (Oskar Liljeblad)
  * Updated syntax highlighting for debian files, closes: #93228
    (Lenart Janos)
  * Fix regexp for rexx files in mc.ext, closes: #98432 (Michel Casabona)
  * Build fixes for the hurd, closes: #101542, #101543 (Marcus Brinkmann)
  * Danish translation for the debconf template, closes: #100335
    (Jesper R. Meyer)
  * Dutch translation for the debconf template, closes: #95738
    (Thomas J. Zeeman)
  * Spanish translation for the debconf template, closes: #102903
    (Carlos Valdivia Yague)

 -- Martin Bialasinski <martinb@debian.org>  Sun,  8 Jul 2001 12:19:24 +0200

mc (4.5.51-16) unstable; urgency=low

  * Update zu the uzip extfs

 -- Martin Bialasinski <martinb@debian.org>  Sun,  4 Mar 2001 20:57:25 +0100

mc (4.5.51-15) unstable; urgency=low

  * Update uzip extfs, closes: #86913
  * Fix compilation, closes: #87414

 -- Martin Bialasinski <martinb@debian.org>  Wed, 28 Feb 2001 19:32:44 +0100

mc (4.5.51-14) unstable; urgency=low

  * Translations for the gmc debconf template, thanks to
      fr by Thomas Morin, closes: #83765
      sv by Andre Dahlqvist, closes: #83677

 -- Martin Bialasinski <martinb@debian.org>  Sat,  3 Feb 2001 21:55:27 +0100

mc (4.5.51-13) unstable; urgency=high

  * Added libgnorba-dev to the build-depends. It is not pulled in by
    libgnome-dev on the m68k autobuilder, closes: #81200
  * Fixed dependancy on perl (lintian)
  * Fix for devfs in cons.saver, closes: #57557
  * Patch for proxy support in ftpfs from Mandrake
  * [gmc] Disabled checking of owner on file rename as a dirty fix
    closes: #80544
  * [gmc] Don't let the use confirm twice that he wants to exit,
    closes: #48523
  * Updated FAQ to reflect rename of mc mailinglists
  * Fix security bug using quick patch by Andrew V. Samoilov
    see http://www.securityfocus.com/vdb/?id=2016
  * Statoverride adaption

 -- Martin Bialasinski <martinb@debian.org>  Thu, 11 Jan 2001 20:07:02 +0100

mc (4.5.51-12) unstable; urgency=high

  * Added build-depends
  * Recompiled with latest glibc, closes: #74905, #74906, #75134, #77172
  * Added menu hints, closes: #80014, #80038
  * Fix problems with file selection code, closes: #79639
    Thanks to Alexander Viro

 -- Martin Bialasinski <martinb@debian.org>  Thu, 21 Dec 2000 14:48:35 +0100

mc (4.5.51-11) unstable; urgency=high

  * Security fix for cons.saver, bugtraq id 1945
    serious local DoS possibility

 -- Martin Bialasinski <martinb@debian.org>  Wed, 15 Nov 2000 20:05:20 +0100

mc (4.5.51-10) unstable; urgency=low

  * Fix for ftpfs, closes: #61239

 -- Martin Bialasinski <martinb@debian.org>  Sun, 12 Nov 2000 20:37:50 +0100

mc (4.5.51-9) unstable; urgency=low

  * Upstream patch to fix storing on root directory on a ftp server

 -- Martin Bialasinski <martinb@debian.org>  Wed,  8 Nov 2000 01:01:40 +0100

mc (4.5.51-8) unstable; urgency=low

  * Small fix to the .deb entry in mc.ext to make it work with new
    and old tar
  * New uzip extfs by Oskar Liljeblad, closes: #75353

 -- Martin Bialasinski <martinb@debian.org>  Sat,  4 Nov 2000 00:05:08 +0100

mc (4.5.51-7) unstable; urgency=low

  * Quote pathname on C-x p and C-x P, closes: #72632
    Thanks to Lois Lefort (sorry, missed the report somehow)

 -- Martin Bialasinski <martinb@debian.org>  Sat, 21 Oct 2000 14:50:12 +0200

mc (4.5.51-6) unstable; urgency=low

  * Changed F3 view of .deb and .rpm files like done on advanced mc,
    changed dependancies a bit to suit this
  * Correcting small spelling error (#21825 in the GNOME BTS)
  * Make mouse work in rxvt, closes: #74400

 -- Martin Bialasinski <martinb@debian.org>  Wed, 18 Oct 2000 20:22:45 +0200

mc (4.5.51-5) unstable; urgency=low

  * Upstream patch to fix %e behaviour on opening files for edit in gmc

 -- Martin Bialasinski <martinb@debian.org>  Wed,  4 Oct 2000 22:27:04 +0200

mc (4.5.51-4) unstable; urgency=low

  * Fix typo in mc.ext and mc-gnome.ext, thanks to Robert Luberda
    Closes: #71788

 -- Martin Bialasinski <martinb@debian.org>  Sat, 16 Sep 2000 09:33:57 +0200

mc (4.5.51-3) unstable; urgency=low

  * Fix to the patchfs by Loic Lefort, Closes: #71430
  * Fix filelocations in the manpages
  * Add the patchfs to mc.ext, so you can enter a (compressed)
    patch with <RET>

 -- Martin Bialasinski <martinb@debian.org>  Fri, 15 Sep 2000 00:16:50 +0200

mc (4.5.51-2) unstable; urgency=low

  * Fixed some strange problems with the patches, Closes: #69516

 -- Martin Bialasinski <martinb@debian.org>  Mon, 21 Aug 2000 01:13:21 +0200

mc (4.5.51-1) unstable; urgency=low

  * New upstream release, closes: #62261, #64975
  * Fixed description, closes: #62260
  * Moved locales data into mc-common, closes: #67577
  * Move documentation to /usr/share/doc and make a symlink in
    /usr/share/gnome/help
  * Fix gmc doc-base description, closes: #68671
  * Don't install a wrong manpage

 -- Martin Bialasinski <martinb@debian.org>  Mon, 14 Aug 2000 23:39:48 +0200

mc (4.5.42-16) unstable; urgency=low

  * Fix path in doc-base and create a missing symlink

 -- Martin Bialasinski <martinb@debian.org>  Sun, 26 Mar 2000 22:52:15 +0200

mc (4.5.42-15) unstable; urgency=low

  * Fix usage of debconf. Don't issue the warning on new installs
  * Move convert.metadata.db from /usr/lib/mc to /usr/bin

 -- Martin Bialasinski <martinb@debian.org>  Sun, 26 Mar 2000 14:37:36 +0200

mc (4.5.42-14) unstable; urgency=low

  * make convert-metadata.db executable in the postinst

 -- Martin Bialasinski <martinb@debian.org>  Sun, 19 Mar 2000 23:43:44 +0100

mc (4.5.42-13) unstable; urgency=low

  * Changed the undelfs example in mc.sgml and mc.1.in as well
  * Fix build from source bug, closes: #60289

 -- Martin Bialasinski <martinb@debian.org>  Mon, 13 Mar 2000 18:19:34 +0100

mc (4.5.42-12) unstable; urgency=low

  * Fix problem with hex view, roll-over on first position.
    Patch by Loic Lefort

 -- Martin Bialasinski <martinb@debian.org>  Mon, 13 Mar 2000 12:17:16 +0100

mc (4.5.42-11) frozen unstable; urgency=low

  * [gmc] Let the admin know that he must run convert-metadata.db
    via debconf. Closes: #58707

 -- Martin Bialasinski <martinb@debian.org>  Sun, 12 Mar 2000 20:27:56 +0100

mc (4.5.42-10) frozen unstable; urgency=low

  * Fixed documentation bug, closes: #60045
  * Fixed terminfo searchpath in internal slang, closes: #56272
  * [gmc] added dependancy on eject and made some comments in README.Debian,
    closes: #59214

 -- Martin Bialasinski <martinb@debian.org>  Sun, 12 Mar 2000 01:16:41 +0100

mc (4.5.42-9) frozen unstable; urgency=low

  * convert-metadata.db : set gid and egid before setting uid and euid. Doh!
  * Helpfile mentioned non-existing file. Closes: #56053
  * Fix small typo in mc.ext.in, part of #55897
  * Upload with full sources due to the change in the packaging method

 -- Martin Bialasinski <martinb@debian.org>  Mon,  6 Mar 2000 16:06:37 +0100

mc (4.5.42-8) frozen unstable; urgency=low

  * Switched to the Multipatch System the X packages use.
  * Patch from Andrew V. Samoilov, so the display is correct
    when selecting more than 2GB of files, closes: #53980, #58920
  * Added "or" and "and" keywords to perl sytnax file - patch by
    Tomasz Wegrzanowski, closes: #58437
  * Fix german translation, closes: #55401
    partly closes #56117
  * compile with --with-netrc

 -- Martin Bialasinski <martinb@debian.org>  Wed,  1 Mar 2000 01:50:05 +0100

mc (4.5.42-7) unstable; urgency=low

  * Fixes missing esac in mc.menu, thanks to Michel Casabona
    Closes: #54108

 -- Martin Bialasinski <martinb@debian.org>  Wed, 12 Jan 2000 21:22:47 +0100

mc (4.5.42-6) unstable; urgency=low

  * Fixes a y2k bug in the apt and dpkg vfs, closes: #54037

 -- Martin Bialasinski <martinb@debian.org>  Wed,  5 Jan 2000 17:39:43 +0100

mc (4.5.42-5) unstable; urgency=low

  * [gmc] Added dependancy on libdb-util* for convert-metadata.db

 -- Martin Bialasinski <martinb@debian.org>  Tue,  4 Jan 2000 14:20:05 +0100

mc (4.5.42-4) unstable; urgency=low

  * [gmc] Revised patch for the icon handling, closes: #53814

 -- Martin Bialasinski <martinb@debian.org>  Sat,  1 Jan 2000 17:53:13 +0100

mc (4.5.42-3) unstable; urgency=low

  * [gmc] Applied patch for icon misplacement, closes: #51571
  * SEP, closes #52250
  * Fixed lintian warnings about copyright file location

 -- Martin Bialasinski <martinb@debian.org>  Mon, 27 Dec 1999 18:43:18 +0100

mc (4.5.42-2) unstable; urgency=low

  * New version of the apt/dpkg vfs

 -- Martin Bialasinski <martinb@debian.org>  Mon, 20 Dec 1999 11:18:26 +0100

mc (4.5.42-1) unstable; urgency=low

  * New upstream release
  * [gmc] Remove notice how to fix broken desktop icons from postinst
  * enable NLS

 -- Martin Bialasinski <martinb@debian.org>  Wed,  8 Dec 1999 12:22:13 +0100

mc (4.5.40-8) unstable; urgency=low

  * Small fix to the apt and dpkg vfs.

 -- Martin Bialasinski <martinb@debian.org>  Fri,  3 Dec 1999 18:16:41 +0100

mc (4.5.40-7) unstable; urgency=low

  * Really fixes all zip,jar archive problems,
    thanks again to Oskar Liljeblad. Closes: #50528, #51779
  * Amazing new vfs by Piotr Roszatycki <dexter@fnet.pl>, a
    dpkg and apt frontend! See README.Debian for info.
    Closes: #46694

 -- Martin Bialasinski <martinb@debian.org>  Fri,  3 Dec 1999 00:11:07 +0100

mc (4.5.40-6) unstable; urgency=low

  * Fixed problem with ~/.gnome/metadata.db
    libc switch from DB 1.85 to DB 2, so the file has to be recreated.
    Shipping a conversion script as /usr/lib/mc/convert-metadata.db
    Closes: #47115, #46491
  * Don't wait for upstream to include the new Debian logo, Closes: #46502

 -- Martin Bialasinski <martinb@debian.org>  Tue, 30 Nov 1999 21:24:35 +0100

mc (4.5.40-5) unstable; urgency=low

  * Patch for mc.ext by Tomasz Wegrzanowski <maniek@beer.com>
    to use sensible-* Closes: #50210
  * Patch for mc.ext by Oskar Liljeblad <osk@hem.passagen.se>
    to use run-mailcap Closes: #50732
  * Missing closing bracket in uzip.in (thanks to Andreas Wappel),
    fixed the other repored problems. Closes: #48003
    (Also #50528, #50452, but has to be checked)
  * Using a better fix for the tar problem in the deb vfs

 -- Martin Bialasinski <martinb@debian.org>  Thu, 25 Nov 1999 23:45:20 +0100

mc (4.5.40-4) unstable; urgency=low

  * Use mc's own slang, which has some modifications.
    Closes: #47487
  * mc doesn't have a mtools vfs for some time now, closes: #26821
  * Included syntax highlighting definitions for debian/changelog,
    debian/rules, debian/control and sources.list, closes: #47403
    Thanks to Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>

 -- Martin Bialasinski <martinb@debian.org>  Sat, 31 Oct 1999 13:59:54 +0200

mc (4.5.40-3) unstable; urgency=low

  * Recompiled with slang 1.3 - Fixes the dreadful
    "right border is not cleaned" and other display bugs.
    Closes: #34315, #40496, #41166, #47328 and part of #47197

 -- Martin Bialasinski <martinb@debian.org>  Thu, 14 Oct 1999 19:03:32 +0200

mc (4.5.40-2) unstable; urgency=low

  * Added conflicts to the versions before mc-common was introduced

 -- Martin Bialasinski <martinb@debian.org>  Sat,  2 Oct 1999 12:34:06 +0200

mc (4.5.40-1) unstable; urgency=low

  * New upstream release

 -- Martin Bialasinski <martinb@debian.org>  Thu, 30 Sep 1999 00:51:33 +0200

mc (4.5.39-1) unstable; urgency=low

  * New upstream version
  * Uploading as a co-maintainer
  * New package setup
    - mc-common, mc and gmc
    - mc and gmc don't conflict anymore
    Closes: #43761
  * Using debhelper, no more fhs problems, closes: #45962
  * Applied fixes for new tar format (without leading ./)
    Closes: #45473, #45432, #45145, #45131, #44965, #45340
  * Suidregister only in the mc package, closes: #45014
  * smbfs was removed before, closes: #45481, #45267, #45339
  * Added xterm-color to the list of color capable TERMs in mc.ini
  * Added note in README about fixing ~/.mc/ini to enable colored mc
    Closes: #26820
  * Added TODO and upstream changelogs to the packages

 -- Martin Bialasinski <martinb@debian.org>  Tue, 28 Sep 1999 03:09:32 +0200

mc (4.5.38-4) unstable; urgency=low

  * add -f to the rm's in debian/rules (Close: #45650)

 -- Michael Bramer <grisu@debian.org>  Fri, 24 Sep 1999 07:58:57 +0200

mc (4.5.38-3) unstable; urgency=low

  *  remove mc.real to mc and remove the --with-samba option. I must
     work with the sources.
     Sorry, for the last problems.

 -- Michael Bramer <grisu@debian.org>  Sun, 19 Sep 1999 14:25:57 +0200

mc (4.5.38-2) unstable; urgency=low

  * add .real to mc in /usr/bin/mc

 -- Michael Bramer <grisu@debian.org>  Wed, 15 Sep 1999 13:23:44 +0200

mc (4.5.38-1) unstable; urgency=low

  * add patch from viro@math.psu.edu (Close:#29176)
  * add --with-samba to configure
  * move /usr/bin/mc to /usr/bin/mc.real and add the
    script /usr/bin/mc (Close:#43168)
  * recompiled with slang1-dev 1.2.2-3 (Close:#44359)
  * add link from /usr/bin/mcedit to /usr/bin/mc (Close:#40943)
  * new upstream version

 -- Michael Bramer <grisu@debian.org>  Tue,  7 Sep 1999 22:34:18 +0200

mc (4.5.37-2) unstable; urgency=low

  * rebuild with newer gpm. (now should use /var/run/gpmctl and not
    /dev/gpmctl)

 -- Michael Bramer <grisu@debian.org>  Wed,  4 Aug 1999 11:41:32 +0200

mc (4.5.37-1) unstable; urgency=low

  * new upstream version

 -- Michael Bramer <grisu@debian.org>  Tue,  3 Aug 1999 22:29:21 +0200

mc (4.5.33-6) unstable; urgency=low

  * set auto_save_setup to no in mc.ini

 -- Michael Bramer <grisu@debian.org>  Sat,  3 Jul 1999 11:32:50 +0200

mc (4.5.33-5) unstable; urgency=low

  * add link from /usr/lib/mc/mc.ini to /etc/mc/

 -- Michael Bramer <grisu@debian.org>  Sat,  3 Jul 1999 09:02:00 +0200

mc (4.5.33-4) unstable; urgency=low

  * add 'AWK="awk"' in debian/rules
  * remove /usr/etc/mc (change rules and Makefiles.in's) (close: 37070)
  * remove changelog_intl.gz (close: 36683)
  * remove README.debian (close: 36682)
  * add 'color_terminals=linux,xterm-debian,screen' in debian/addons/mc.ini
    (close: 26820)
  * move /usr/lib/mc/term/ to /urs/doc/mc/ (close: 26022)

 -- Michael Bramer <grisu@debian.org>  Fri,  2 Jul 1999 14:54:14 +0200

mc (4.5.33-3) unstable; urgency=low

  * Add 'Provides: mc' in gmc-package controlfile (close: #35005)

 -- Michael Bramer <grisu@debian.org>  Tue, 29 Jun 1999 23:52:56 +0200

mc (4.5.33-2) unstable; urgency=low

  * now compiled with the installed package e2fslibs-dev (close: 40335)

 -- Michael Bramer <grisu@debian.org>  Tue, 29 Jun 1999 00:44:50 +0200

mc (4.5.33-1) unstable; urgency=low

  * new upstream version

 -- Michael Bramer <grisu@debian.org>  Wed,  9 Jun 1999 05:02:23 +0200

mc (4.5.30-2) unstable; urgency=low

  * Patch from Martin Bialasinski <martin@internet-treff.uni-koeln.de> close:#36246

 -- Michael Bramer <grisu@debian.org>  Mon, 19 Apr 1999 12:19:25 +0200

mc (4.5.30-1) unstable; urgency=low

  * new upstream version

 -- Michael Bramer <grisu@debian.org>  Wed, 14 Apr 1999 17:41:15 +0200

mc (4.5.25-1) unstable; urgency=low

  * change the download source to:
    ftp://ftp.sunsite.org.uk/packages/gnome/sources/mc
  * add --sysconfdir=/etc in the rule file
  * new upstream version (with my patches :-)

 -- Michael Bramer <grisu@debian.org>  Tue, 16 Mar 1999 13:38:32 +0100

mc (4.5.22-1) unstable; urgency=low

  * change ee to eeyes in lib/mc-gnome.ext.in
  * new upstream version

 -- Michael Bramer <grisu@debian.org>  Thu,  4 Mar 1999 23:47:37 +0100

mc (4.5.21-1) unstable; urgency=low

  * remove usr/share/pixmaps/ from mc
     (from the 'first' 4.5.21-1 upload in gnome-staging)
  * remove usr/bin/plain-gmc from mc
     (from the 'first' 4.5.21-1 upload in gnome-staging)
  * add patch from viro@math.psu.edu close:29176
  * new config files: mc.global and mc-gnome.ext
  * add link from /usr/lib/etc/mc.global to /etc/mc/mc.global
  * add links from /usr/lib/mc/* to /etc/mc/
  * new upstream version
  * add a '-f' to -rm gnome/gmc in debian/rule
  * change 'ee' in 'eeyes' in lib/mc-gnome.ext
  * add the conffiles in the gmc-package

 -- Michael Bramer <grisu@debian.org>  Sat, 27 Feb 1999 00:11:28 +0100

mc (4.5.1-1.1) frozen; urgency=medium

  * NMU in behalf of Michael Bramer as he has not got a pure slink system
  * Fixes Bug#33341, priority important (buffer overrun) for slink

 -- Martin Bialasinski <martinb@debian.org>  Wed, 17 Feb 1999 00:26:48 +0100

mc (4.5.1-1) unstable; urgency=low

  * new (beta) version

 -- Michael Bramer <grisu@debian.org>  Thu, 22 Oct 1998 19:48:42 +0200

mc (4.1.36-1) unstable; urgency=low

  * change from +Z to -Z for zsh (close:#26428)
  * add Suggests:rpm (close:#26137)
  * remove /usr/doc/mc/README.edit (close:#26047)
  * add patch from Patrik Rak in deb.in (close:#25838)
  * add link from /usr/lib/mc/mc.ext to /etc/mc/mc.ext (close#25719)
  * New upsteam release

 -- Michael Bramer <grisu@debian.org>  Thu, 15 Oct 1998 11:41:11 +0200

mc (4.1.35-6) unstable; urgency=low

  * don't print debug-code in gnome/*.c (#25587)
  * move usr/doc/mc/changelog_src.gz to usr/doc/mc/changelog.gz
  * Change menue from Apps/Misc to Apps/Tools

 -- Michael Bramer <grisu@debian.org>  Wed, 26 Aug 1998 10:23:43 +0200

mc (4.1.35-5) unstable; urgency=low

  * make the menufiles in the new format
  * change from ee to eeyes for *.jpeg etc. in mc.ext

 -- Michael Bramer <grisu@debian.org>  Tue, 25 Aug 1998 18:35:11 +0200

mc (4.1.35-4) unstable; urgency=low

  * add to debstd the -u option
  * make a new build with gonme0.27 and co.

 -- Michael Bramer <grisu@debian.org>  Mon, 17 Aug 1998 13:07:11 +0200

mc (4.1.35-3) unstable; urgency=low

  * add all changelog-files in /usr/doc/[g]mc
  * make for gmc a /usr/doc/gmc/
  * add a '!' in the first line from mcfn_install.in, now: #!/bin/sh
  * typo in the Description (thanks to joey)
  * don't print debug-code in gdesktop.c (#25587)

 -- Michael Bramer <grisu@debian.org>  Mon, 10 Aug 1998 23:29:33 +0200

mc (4.1.35-2) unstable; urgency=low

  * the multi-package is not nice, but it should work
  * add gmc support in a multi-binary-package
  * new maintainer

 -- Michael Bramer <grisu@debian.org>  Fri, 31 Jul 1998 13:04:28 +0200

mc (4.1.35-1) frozen unstable; urgency=low

  * New upsteam release fixes a bug introduced by last version,
    which made the history input lines stop working. Since this
    is one of the essential useability features of MC which will
    most certainly provoke bug reports this here should still go
    into frozen.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Tue, 26 May 1998 05:00:05 +0100

mc (4.1.34-1) frozen unstable; urgency=low

  * New upsteam release really fixes Bug#20727 and some bugs no one
    has even bothered to report until now. :-)
  * Added "--without-gnome" and "--disable-nls" flags to debian/rules.
    The internationalized Gnome version of MC is becoming pretty mature,
    but will not go into frozen, sorry.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 15 May 1998 21:36:56 +0100

mc (4.1.28-3) frozen unstable; urgency=low

  * Rebuild using ss-dev, comerr-dev and e2fslibs-dev closing Bug#21749

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Tue, 28 Apr 1998 22:32:15 +0100

mc (4.1.28-2) frozen unstable; urgency=low

  * Changed debian/postinst to address and close Bug#20871. I wonder why
    this didn't show up earlier?

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 08 Apr 1998 21:29:51 +0100

mc (4.1.28-1) frozen unstable; urgency=low

  * New upstream release.
  * Compiled with ext2undel feature closing Bug#20752.
  * Fixes an upstream bug which made MC crash when trying to copy an
    unreadable file via FTP.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Mon, 06 Apr 1998 17:23:15 +0100

mc (4.1.27-1) unstable; urgency=low

  * New upstream release.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 27 Feb 1998 07:44:29 +0100

mc (4.1.26-1) unstable; urgency=low

  * New upstream release.
  * Updated to standards version 2.4.0.0
  * Updated postal address of FSF in copyright file
  * Added manual page for 'mcmfmt'.
  * Adapted control file to place package in section "utils"
    with priority "optional".

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 20 Feb 1998 03:41:38 +0100

mc (4.1.24-1) unstable; urgency=low

  * New upstream release version
  * Binary package now smaller because upstream maintainer truncated
    the src/Changelog file which has grown far too large over time. ;-)
  * Changed "Architecture: i386" to "Architecture: any" in control file.
    This addresses and closes bug #17226 as reported by James Troup.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Thu, 22 Jan 1998 18:32:55 +0100

mc (4.1.22-2) unstable; urgency=low

  * Adapted debian/changelog to reflect official Debian release history
  * Added debian/menu file from former maintainer
  * Closing supposedly outdated bugs #9868, #14744, #14768, #16050
    and #11968 due to increase of upstream version number.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 16 Jan 1998 23:41:32 +0100

mc (4.1.22-1) unstable; urgency=low

  * New maintainer
  * New upstream version

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 16 Jan 1998 17:41:32 +0100

mc (4.1.9-1) unstable; urgency=low

  * Upgraded to latest upstream release (Bugs #13145, #14012).
  * Use pristine source.
  * Wrote patch to build with libc6.
  * Orphaned the package (Unfixed since 6 months).
  * Recommends file (Bug #7338).
  * #11864 sould be fixed (libgpmg problem).
  * Depend on login-970616-1 and don't install cons.saver suid root
    (Bug #13440).
  * Corrected debian/rules (make clean shouldn't fail).

 -- Vincent Renardias <vincent@waw.com>  Mon, 10 Nov 1997 00:05:02 +0100

mc (3.5.17-1) unstable; urgency=low

  * Upgraded to latest upstream release
  * Sources converted to new format

 -- Fernando Alegre <alegre@debian.org>  Mon, 24 Feb 1997 12:56:43 +0100
